Loading...
Searching...
No Matches
ns2_sns_procedure Struct Reference

## Data Fields

struct llist_head | list
struct ns2_sns_bind * | sbind
uint16_t | sig_weight
uint16_t | data_weight
struct gprs_ns_ie_ip4_elem | ip4
struct gprs_ns_ie_ip6_elem | ip6
enum sns_procedure | procedure
uint8_t | trans_id
bool | running

## Field Documentation

## data_weight

uint16_t ns2_sns_procedure::data_weight

Referenced by ns2_add_procedure().

## ip4

struct gprs_ns_ie_ip4_elem ns2_sns_procedure::ip4

Referenced by ns2_add_procedure(), ns2_sns_st_local_procedure(), and ns2_sns_st_local_procedure_onenter().

## ip6

struct gprs_ns_ie_ip6_elem ns2_sns_procedure::ip6

Referenced by ns2_add_procedure(), ns2_sns_st_local_procedure(), and ns2_sns_st_local_procedure_onenter().

## list

struct llist_head ns2_sns_procedure::list

Referenced by ns2_add_procedure(), ns2_clear_procedures(), ns2_sns_st_all_action(), and ns2_sns_st_local_procedure().

## procedure

enum sns_procedure ns2_sns_procedure::procedure

Referenced by ns2_add_procedure(), ns2_clear_procedures(), ns2_sns_st_all_action(), ns2_sns_st_local_procedure(), and ns2_sns_st_local_procedure_onenter().

## running

bool ns2_sns_procedure::running

Referenced by ns2_add_procedure(), and ns2_sns_st_local_procedure_onenter().

## sbind

struct ns2_sns_bind* ns2_sns_procedure::sbind

Referenced by ns2_add_procedure(), ns2_sns_st_all_action(), and ns2_sns_st_local_procedure().

## sig_weight

uint16_t ns2_sns_procedure::sig_weight

Referenced by ns2_add_procedure().

## trans_id

uint8_t ns2_sns_procedure::trans_id

Referenced by ns2_sns_st_local_procedure(), and ns2_sns_st_local_procedure_onenter().

The documentation for this struct was generated from the following file:

- src/gb/gprs_ns2_sns.c